
Compass::Configuration::add_configuration_property(:grid)
Compass::Configuration::add_configuration_property(:resolutions)

module Resgrid
    
    module MEASURES
        em = :em
        px = :px
        pt = :pt
    end

    module TYPES
        static = :static
        fluid = :fluid
    end

end


module Compass::Configuration::Defaults
    def default_grid
        {
            :measure => :px,
            :columns => 12,
            :type => :static,
            :width => "100%",
            :min => nil,
            :max => nil,
        }
    end

    def default_resolutions
        {
            :tiny => { :max => 480, :type => :fluid },
            :small => { :min => 481, :max => 767, :type => :fluid },
            :medium => { :min => 768, :max => 979, :width => 740 },
            :large => { :min => 980, :max => 1199, :width => 960 },
            :huge => { :min => 1200, :width => 1170 }
        }
    end
end


"""
config_path = File.join(Compass.configuration.project_path, 'config.rb')

a = Compass::Configuration::FileData.new_from_file config_path

if a.resolutions
    puts a.resolutions
else
    puts Compass.configuration.resolutions
end


module Compass::Configuration::Inheritance::ClassMethods
    # puts nada
end
"""
